Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.heuristic.selector.variable
Class PlanningValueSelector

    java.lang.Object
      org.drools.planner.core.solver.event.SolverLifecycleListenerAdapter
          org.drools.planner.core.phase.event.SolverPhaseLifecycleListenerAdapter
              org.drools.planner.core.heuristic.selector.variable.PlanningValueSelector

All Implemented Interfaces:
  EventListener, SolverPhaseLifecycleListener, SolverLifecycleListener

Deprecated.

    @Deprecated
    public class PlanningValueSelector

extends SolverPhaseLifecycleListenerAdapter

Determines the order in which the planning values of 1 planning entity class are selected for an algorithm

Constructor Summary
`PlanningValueSelector(PlanningVariableDescriptor planningVariableDescriptor)` Deprecated.

Method Summary
`Iterator<?>` | `iterator(Object planningEntity)` Deprecated.
`void` | `phaseEnded(AbstractSolverPhaseScope phaseScope)` Deprecated.
`void` | `phaseStarted(AbstractSolverPhaseScope phaseScope)` Deprecated.
`void` | `setRoundRobinSelection(boolean roundRobinSelection)` Deprecated.
`void` | `setSelectionOrder(PlanningValueSelectionOrder selectionOrder)` Deprecated.
`void` | `setSelectionPromotion(PlanningValueSelectionPromotion selectionPromotion)` Deprecated.

Methods inherited from class org.drools.planner.core.phase.event.SolverPhaseLifecycleListenerAdapter
`stepEnded, stepStarted`

Methods inherited from class org.drools.planner.core.solver.event.SolverLifecycleListenerAdapter
`solvingEnded, solvingStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Constructor Detail

### PlanningValueSelector

    public PlanningValueSelector(PlanningVariableDescriptor planningVariableDescriptor)

  Deprecated.

Method Detail

### setSelectionOrder

    public void setSelectionOrder(PlanningValueSelectionOrder selectionOrder)

  Deprecated.

### setSelectionPromotion

    public void setSelectionPromotion(PlanningValueSelectionPromotion selectionPromotion)

  Deprecated.

### setRoundRobinSelection

    public void setRoundRobinSelection(boolean roundRobinSelection)

  Deprecated.

### phaseStarted

    public void phaseStarted(AbstractSolverPhaseScope phaseScope)

  Deprecated.
  Specified by:
    `phaseStarted` in interface `SolverPhaseLifecycleListener`
  Overrides:
    `phaseStarted` in class `SolverPhaseLifecycleListenerAdapter`

### phaseEnded

    public void phaseEnded(AbstractSolverPhaseScope phaseScope)

  Deprecated.
  Specified by:
    `phaseEnded` in interface `SolverPhaseLifecycleListener`
  Overrides:
    `phaseEnded` in class `SolverPhaseLifecycleListenerAdapter`

### iterator

    public Iterator<?> iterator(Object planningEntity)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.